# Class AWTPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.awt.AWTPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

@Deprecated(since="24", forRemoval=true) public final class AWTPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
There is no replacement for this class.
This class is for AWT permissions. An `AWTPermission` contains a target name but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported. Consequently this class is deprecated for removal in a future release.
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AWTPermission(String name)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AWTPermission` with the specified name.
`AWTPermission(String name, String actions)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AWTPermission` object with the specified name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AWTPermission

public AWTPermission(String name)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AWTPermission` with the specified name. The name is the symbolic name of the `AWTPermission`, such as "topLevelWindow", "systemClipboard", etc. An asterisk may be used to indicate all AWT permissions.

Parameters:
  `name` - the name of the AWTPermission
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### AWTPermission

public AWTPermission(String name, String actions)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates a new `AWTPermission` object with the specified name. The name is the symbolic name of the `AWTPermission`, and the actions string is currently unused and should be `null`.

Parameters:
  `name` - the name of the `AWTPermission`
  `actions` - should be `null`
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.